Bug 1460397 - Archived container entities are not destroyed when the provider is deleted
Archived container entities are not destroyed when the provider is deleted
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 5.8.1
Assigned To: Ari Zellner
Shalom Naim
container
: ZStream
Depends On: 1458552
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 18:13 EDT by Satoe Imaishi
Modified: 2017-08-02 13:30 EDT (History)
5 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1458552
Environment:
Last Closed: 2017-08-02 13:30:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Container Management


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-09 18:16:20 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/a2cc7afe7426391b34016632aef4796e1526ba2a

commit a2cc7afe7426391b34016632aef4796e1526ba2a
Author:     Oleg Barenboim <chessbyte@gmail.com>
AuthorDate: Thu Jun 1 23:56:00 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jun 9 18:13:22 2017 -0400

    Merge pull request #14359 from zeari/delete_archived_entities_on_ems_delete
    
    Delete archived entities when a container manager is deleted
    (cherry picked from commit 48d0291098ab39b474cf4712d325d57260372fa0)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460397

 app/models/manageiq/providers/container_manager.rb | 5 +++++
 1 file changed, 5 insertions(+)
Comment 3 Shalom Naim 2017-07-05 04:22:30 EDT
after running the reproduction steps the result from the DB is:

irb(main):004:0> ContainerGroup.find_by_name('snaim')
PostgreSQLAdapter#log_after_checkout, connection_pool: size: 5, connections: 1, in use: 1, waiting_in_queue: 0
=> nil

which say that the issue was resolved successfully
Comment 5 errata-xmlrpc 2017-08-02 13:30:25 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.